Blender allows you to save you own .blend file to use on startup.  

This is great, but wouldn't it be nice to be able to create **your own templates**?  

**Custom Templates** allows you to use your own .blend files as template options for new projects.

> Your templates will be added in the `File > New` menu and in the Splash Screen *(according to preferences)*.

*You can follow this [steps to get started](https://projects.blender.org/Francesco-Bellini/custom_templates_addon/wiki/Getting-Started).*

---

*Instead of being limited to the usual options Blender offers to start a new project (General, 2D Animation, Sculpting, VFX, Video Editing), you will be able to configure your own list of .blend files.*  

---

Create your own templates or find the ones that best suit your needs online.  

*Customize workspaces, preset your usual materials, define additional windows or anything else you would like to have from the beginning.*  

*The only limit is your immagination!*  

---

#### Features

- Show your templates in `File > New` menu and in the Splash Screen
- Import/Export templates from/to JSON file
- Add, remove, update, reorder your templates from add-on preferences
- Add templates from folder (lookup `.blend` files in folder)
- Select new template
- Use current file as template
- Clear current templates
- Add workspace from templates *(right-click on a workspace and use `Add from Custom Templates` menu)*

##### Legacy Support

For previous Blender versions, you can install the [legacy version](https://projects.blender.org/Francesco-Bellini/custom_templates_addon/wiki/Support#legacy-version).  
*Tested on all LTS versions from 2.83 to 3.6 (remember to use compatible templates).*

---

*For more details checkout the project's [Wiki](https://projects.blender.org/Francesco-Bellini/custom_templates_addon/wiki).*

---

#### Make your new projects easier from the start
